aboutsummaryrefslogtreecommitdiff
path: root/www/surfraw/pkg-deinstall
diff options
context:
space:
mode:
Diffstat (limited to 'www/surfraw/pkg-deinstall')
-rw-r--r--www/surfraw/pkg-deinstall53
1 files changed, 53 insertions, 0 deletions
diff --git a/www/surfraw/pkg-deinstall b/www/surfraw/pkg-deinstall
new file mode 100644
index 000000000000..be71e9d11ff4
--- /dev/null
+++ b/www/surfraw/pkg-deinstall
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# De-installation setup of surfraw
+
+# exit on errors, use a sane path and install prefix
+#
+set -e
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+PREFIX=${PKG_PREFIX:-/usr/local}
+CONFIG_FILE=${PREFIX}/etc/surfraw.conf
+
+# Function: tell the user what they need to do to delete the port completely
+#
+do_notice()
+{
+ echo
+ echo "+---------------"
+ echo "| To completely deinstall the $1 package you need to perform"
+ echo "| these steps as root:"
+ echo "|"
+ echo "| rm -f ${CONFIG_FILE}"
+ echo "|"
+ echo "| Do not do this if you plan on re-installing $1"
+ echo "| at some future time."
+ echo "+---------------"
+ echo
+}
+
+# Verify proper execution
+#
+if [ $# -ne 2 ]; then
+ echo "usage: $0 distname { DEINSTALL | POST-DEINSTALL }" >&2
+ exit 1
+fi
+
+# Verify/process the command
+#
+case $2 in
+ DEINSTALL)
+ if [ -f ${CONFIG_FILE} ]; then
+ do_notice "$1"
+ fi
+ ;;
+ POST-DEINSTALL)
+ : nothing to post-deinstall for this port
+ ;;
+ *)
+ echo "usage: $0 distname { DEINSTALL | POST-DEINSTALL }" >&2
+ exit 1
+ ;;
+esac
+
+exit 0